Read a bounded check snapshot allowed by an Elements token
curl --request GET \
--url https://api.checklyhq.com/v1/elements-data \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.checklyhq.com/v1/elements-data"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.checklyhq.com/v1/elements-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "<string>",
"name": "<string>",
"checkType": "<string>",
"activated": true,
"muted": true,
"created_at": "2023-12-25",
"frequency": 123,
"tags": [
"<string>"
],
"isSample": true,
"group": {
"name": "<string>",
"activated": true,
"tags": [
"<string>"
]
},
"status": {
"hasFailures": true,
"isDegraded": true,
"hasErrors": true,
"created_at": "2023-12-25",
"updated_at": "2023-12-25",
"metrics": {
"1dSuccessRatio": 123,
"1d": {
"availability": {
"currentPeriod": 123
},
"responseTimeP95": {
"currentPeriod": 123
},
"responseTimeP99": {
"currentPeriod": 123
}
},
"responseTimes": {
"avg": 123,
"p95": 123,
"p99": 123
}
}
}
}
],
"summary": {
"total": 123,
"totalPassing": 123,
"totalFailing": 123,
"totalDegraded": 123,
"totalDeactivated": 123
}
}Elements
Read a bounded check snapshot allowed by an Elements token
GET
/
v1
/
elements-data
Read a bounded check snapshot allowed by an Elements token
Authorizations
The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure!
Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID.
For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"
Query Parameters
Required range:
1 <= x <= 20Required range:
1 <= x <= 20Was this page helpful?